PFM-TRANS(1)

NAME
pfm-trans - transform .pfm files

SYNOPSIS

DESCRIPTION
pfm-trans reads an pfm file and transforms it, filters it, operates on it, writing the output to another pfm file. A pfm file contains a 2-d table of floating-point values.

OPTIONS

-z  Treats (0,0,0) in the pfm file as a special don't-touch value.

-nan num_channels
    Treats a NaN in any of the first num_channels channels as a special don't-touch value.

-resize width,height
    Resamples the pfm file to scale it to the indicated grid size. A simple box filter is applied during the scale. Don't confuse this with -TS, which scales the individual point values, but doesn't change the number of points.

-crop xbegin,xend,ybegin,yend
    Crops the pfm file to the indicated subregion.

-autocrop
    Automatically crops to the smallest possible rectangle that includes all points. Requires -z or -nan.

-rotate degrees
    Rotates the pfm file the specified number of degrees counterclockwise, which must be a multiple of 90.

-mirror_x
    Flips the pfm file about the x axis.

-mirror_y
    Flips the pfm file about the y axis.

-TS sx[,sy,sz]
    Scale the model uniformly by the given factor (if only one number is given) or in each axis by sx, sy, sz (if three numbers are given).

-TR x,y,z
    Rotate the model x degrees about the x axis, then y degrees about the y axis, and then z degrees about the z axis.

-TA angle,x,y,z
    Rotate the model angle degrees counterclockwise about the given axis.

-TT x,y,z
    Translate the model by the indicated amount. All transformation options (-TS, -TR, -TA, -TT) are cumulative and are applied in the order they are encountered on the command line.

-o filename
    Specify the filename to which the resulting pfm file will be written. This is only valid when there is only one input pfm file on the command line. If you want to process multiple files simultaneously, you must use -d.

-d dirname
    Specify the name of the directory in which to write the processed pfm files. If you are processing only one pfm file, this may be omitted in lieu of the -o option.

-vis filename.bam
    Generates a bam file that represents a visualization of the pfm file as a 3-D geometric mesh. If -vistex is specified, the mesh is textured.

-visinv
    Inverts the visualization, generating a uniform 2-d mesh with the 3-d depth values encoded in the texture coordinates.

-vis2d
    Respect only the first two components of each depth value, ignoring z.

-vistex texture.jpg
    Specifies the name of the texture to apply to the visualization.

-ls filename.txt
    Lists the points in the file to the indicated text file.

-h  Display this help page.